apiVersion: tekton.dev/v1beta1
kind: Pipeline
metadata:
  name: list-pipeline
spec:
  params:
    - name: url
      default: https://www.github.com/tektoncd/catalog
  tasks:
    - name: git-clone
      params:
        - name: url
          value: $(params.url)
        - name: submodules
          value: 'true'
        - name: depth
          value: '1'
        - name: sslVerify
          value: 'true'
        - name: deleteExisting
          value: 'true'
        - name: verbose
          value: 'true'
        - name: gitInitImage
          value: >-
            registry.redhat.io/openshift-pipelines/pipelines-git-init-rhel8@sha256:17866349209d9c91a44a0ceabaf1a01559839b2349f112a465aba532d1bf1efa
        - name: userHome
          value: /tekton/home
      taskRef:
        kind: ClusterTask
        name: git-clone
      workspaces:
        - name: output
          workspace: test-workspace
    - name: list-task
      runAfter:
        - git-clone
      taskRef:
        kind: Task
        name: list-task
      workspaces:
        - name: test-workspace
          workspace: test-workspace
    - name: list-task-e9l
      runAfter:
        - git-clone
      taskRef:
        kind: Task
        name: list-task
      workspaces:
        - name: test-workspace
          workspace: test-workspace
  workspaces:
    - name: test-workspace
